import axios from 'axios';
import { ElMessage } from 'element-plus';

const service = axios.create({
	baseURL: '/api',
	timeout: 15000
})
// 请求拦截器
service.interceptors.request.use(config => {
	return config;
}, error => {
	return Promise.reject(error)
})

// 响应拦截器
service.interceptors.response.use(response => {
	if(response.data.code != '0000') {
		ElMessage.error(response.data.msg);
	}
	return response.data;
}, error => {
	// 处理一些错误信息
	if (error.response) {
		// 根据错误状态码进行处理
		switch (error.response.status) {
			case 401:
				// 处理未授权的情况
				ElMessage.error(error.response);
				break;
			case 403:
				// 处理权限不足的情况
				ElMessage.error(error.response);
				break;
			case 500:
				// 处理服务器错误的情况
				ElMessage.error(error.response);

				break;
			// ...
		}
  	}
	return Promise.reject(error)
})

export default service;